rb_thread_cond_struct Struct Reference

`#include <thread_pthread.h>`

## Data Fields

pthread_cond_t | cond
struct cond_event_entry * | next
struct cond_event_entry * | prev

## Detailed Description

Definition at line 21 of file thread_pthread.h.

## Field Documentation

pthread_cond_t rb_thread_cond_struct::cond

Definition at line 22 of file thread_pthread.h.

struct cond_event_entry* rb_thread_cond_struct::next

Definition at line 27 of file thread_win32.h.

struct cond_event_entry* rb_thread_cond_struct::prev

Definition at line 28 of file thread_win32.h.

The documentation for this struct was generated from the following files:

- thread_pthread.h
- thread_win32.h